#ifndef BFS_TEST_H_
#define BFS_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class GraphBfsTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE(GraphBfsTest);
	CPPUNIT_TEST(testTraverseAll);
	CPPUNIT_TEST(testEarlyReturn);
	CPPUNIT_TEST(testDisconnectedGraph);
	CPPUNIT_TEST(testBfs2);
	CPPUNIT_TEST_SUITE_END();

public:
	void testTraverseAll();
	void testEarlyReturn();
	void testDisconnectedGraph();
	void testBfs2();
};

#endif // BFS_TEST_H_
