/*
 * GraphFeatures.h
 *
 *  Created on: Jun 19, 2014
 *      Author: David Rosca
 */

#ifndef GRAPH_FEATURES_H_
#define GRAPH_FEATURES_H_

namespace graph {

enum class FEATURES {
	DIRECTED,
	UNDIRECTED
};

class Graph;
class GraphBase;

class Node;
enum class REPRESENTATION;

class DirectedGraph;
class DirectedEdge;
class UndirectedGraph;
class UndirectedEdge;

} // namespace graph

#endif // GRAPH_FEATURES_H_
