/*
 * ComposerException.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: Jan Travnicek
 */

#include "ComposerException.h"

namespace sax {

ComposerException::ComposerException(const Token& expected, const Token& read) :
		expected(expected), read(read) {

	cause = "Composer Exception: Expected: " + expected.getData() + " Read: " + read.getData();
}

ComposerException::~ComposerException() noexcept {

}

} /* namespace sax */
