/*
 * deque.hpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#ifndef __DEQUE_HPP_
#define __DEQUE_HPP_

namespace std {

template< class T >
std::ostream& operator<<(std::ostream& out, const std::deque<T>& list) {
	out << "[";

	bool first = true;
	for(const T& item : list) {
		if(!first) out << ", ";
		first = false;
		out << item;
	}

	out << "]";
	return out;
}

} /* namespace std */

#endif /* __DEQUE_HPP_ */

