/*
 * GraphFeatures.h
 *
 *  Created on: Jun 19, 2014
 *      Author: David Rosca
 */

#include "IUndirectedGraph.h"

#include <sstream>

namespace graph {

IUndirectedGraph::~IUndirectedGraph() noexcept
{
}

IUndirectedGraph::operator std::string() const
{
	std::stringstream ss;
	for (const Node &node : allNodes()) {
		ss << node;
	}
	for (const UndirectedEdge &edge : allEdges()) {
		ss << edge;
	}
	return ss.str();
}

} // namespace graph
