/*
 * RegExpFeatures.h
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#ifndef REG_EXP_FEATURES_H_
#define REG_EXP_FEATURES_H_

namespace regexp {

enum class FEATURES {
	FORMAL,
	UNBOUNDED
};

class RegExp;
class RegExpBase;

class UnboundedRegExp;

class UnboundedRegExpElement;
class UnboundedRegExpAlternation;
class UnboundedRegExpConcatenation;
class UnboundedRegExpIteration;
class UnboundedRegExpSymbol;
class UnboundedRegExpEmpty;
class UnboundedRegExpEpsilon;


class FormalRegExp;

class FormalRegExpElement;
class FormalRegExpAlternation;
class FormalRegExpConcatenation;
class FormalRegExpIteration;
class FormalRegExpSymbol;
class FormalRegExpEmpty;
class FormalRegExpEpsilon;

} /* namespace regexp */

#endif /* REG_EXP_FEATURES_H_ */
